Bug 101887 - gtx 970 black screen
Summary: gtx 970 black screen
Status: NEW
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-23 19:53 UTC by fariouche
Modified: 2018-01-29 17:34 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg.log file when KO (66.42 KB, text/x-log)
2017-07-23 19:53 UTC, fariouche
no flags Details
kernel messages when starting xorg (18.15 KB, text/x-log)
2017-07-23 19:55 UTC, fariouche
no flags Details
THe xorg.conf file I used (2.09 KB, text/plain)
2017-07-23 20:01 UTC, fariouche
no flags Details
dmesg after boot kernel 4.13.1 (74.36 KB, text/x-log)
2017-07-23 21:58 UTC, fariouche
no flags Details
/var/log/messages after starting xorg (159.10 KB, text/x-log)
2017-07-23 21:59 UTC, fariouche
no flags Details
XOrg log file after starting xfce4 (73.02 KB, text/x-log)
2017-07-23 22:01 UTC, fariouche
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description fariouche 2017-07-23 19:53:12 UTC
Created attachment 132851 [details]
Xorg.log file when KO

Hi,

I finally tried the 4.12.2 kernel, and in my case it does not fully work :(

I can see a working console, but:
- only on my first monitor (DVI), black screen on all other monitors
- no x11 on all monitors (I can see a brief display of xfce4 but immediately turns black and no more display, even if I return to the console.)

I think I'm facing 2 different issues. One is about detecting my second monitor (a 4K LG 31MU97 plugged on DP-0 (this display is maybe a bit slow to probe))
The log shows a lot of error concerning this monitor...

But I do not see anything on my third output too (HDMI, this is an av receiver, with a full HD tv). No error at all for this one, even the resolution is probed correctly by xorg. I was expecting at least a console on this one.


The kernel log shows an EDID error for the LG monitor...
[    1.065917] ACPI: Power Button [PWRF]
[    1.066154] Monitor-Mwait will be used to enter C-1 state
[    1.066158] Monitor-Mwait will be used to enter C-2 state
[    1.066161] Monitor-Mwait will be used to enter C-3 state
[    1.067170] ioatdma: Intel(R) QuickData Technology Driver 4.00
[    1.067386] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    1.067877] Non-volatile memory driver v1.3
[    1.068132] Linux agpgart interface v0.103
[    1.068546] nouveau 0000:03:00.0: NVIDIA GM204 (124020a1)
[    1.158533] nouveau 0000:03:00.0: bios: version 84.04.36.00.0b
[    1.158944] nouveau 0000:03:00.0: disp: dcb 15 type 8 unknown
[    1.159616] nouveau 0000:03:00.0: fb: 4096 MiB GDDR5
[    1.159794] nouveau 0000:03:00.0: bus: MMIO write of 80000159 FAULT at 10eb14 [ IBUS ]
[    1.168074] [TTM] Zone  kernel: Available graphics memory: 8214682 kiB
[    1.168244] [TTM] Zone   dma32: Available graphics memory: 2097152 kiB
[    1.168410] [TTM] Initializing pool allocator
[    1.168576] [TTM] Initializing DMA pool allocator
[    1.168830] nouveau 0000:03:00.0: DRM: VRAM: 4096 MiB
[    1.168995] nouveau 0000:03:00.0: DRM: GART: 1048576 MiB
[    1.169161] nouveau 0000:03:00.0: DRM: TMDS table version 2.0
[    1.169327] nouveau 0000:03:00.0: DRM: DCB version 4.1
[    1.169492] nouveau 0000:03:00.0: DRM: DCB outp 00: 01000f02 00020030
[    1.169666] nouveau 0000:03:00.0: DRM: DCB outp 01: 02000f00 00000000
[    1.169838] nouveau 0000:03:00.0: DRM: DCB outp 02: 02811f76 04400020
[    1.170004] nouveau 0000:03:00.0: DRM: DCB outp 03: 02011f72 00020020
[    1.170170] nouveau 0000:03:00.0: DRM: DCB outp 04: 04822f86 04400010
[    1.170337] nouveau 0000:03:00.0: DRM: DCB outp 05: 04022f82 00020010
[    1.170504] nouveau 0000:03:00.0: DRM: DCB outp 06: 04833f96 04400020
[    1.170678] nouveau 0000:03:00.0: DRM: DCB outp 07: 04033f92 00020020
[    1.170848] nouveau 0000:03:00.0: DRM: DCB outp 08: 02044f62 00020010
[    1.171015] nouveau 0000:03:00.0: DRM: DCB outp 15: 01df5ff8 00000000
[    1.171181] nouveau 0000:03:00.0: DRM: DCB conn 00: 00001030
[    1.171347] nouveau 0000:03:00.0: DRM: DCB conn 01: 00020146
[    1.171511] nouveau 0000:03:00.0: DRM: DCB conn 02: 01000246
[    1.171684] nouveau 0000:03:00.0: DRM: DCB conn 03: 02000346
[    1.171853] nouveau 0000:03:00.0: DRM: DCB conn 04: 00010461
[    1.172018] nouveau 0000:03:00.0: DRM: DCB conn 05: 00000570
[    1.172183] nouveau 0000:03:00.0: DRM: Pointer to flat panel table invalid
[    1.214711] random: fast init done
[    1.233460] nouveau 0000:03:00.0: DRM: unknown connector type 70
[    1.233662] nouveau 0000:03:00.0: DRM: failed to create encoder 1/8/0: -19
[    1.233834] nouveau 0000:03:00.0: DRM: Unknown-1 has no encoders, removing
[    1.234034] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    1.234207] [drm] Driver supports precise vblank timestamp query.
[    1.276832] nouveau 0000:03:00.0: hwmon_device_register() is deprecated. Please convert the driver to use hwmon_device_register_with_info().
[    1.343188] nouveau 0000:03:00.0: DRM: MM: using COPY for buffer copies
[    1.434201] nouveau 0000:03:00.0: DP-1: EDID is invalid:
[    1.434384] 	[00] BAD  03 12 71 45 10 04 03 01 00 23 09 07 07 83 01 00
[    1.434568] 	[00] BAD  00 02 3a 80 18 71 38 2d 40 58 2c 45 00 b8 6f 21
[    1.434759] 	[00] BAD  00 00 1e 00 00 00 00 00 00 00 00 00 00 00 00 00
[    1.434939] 	[00] BAD  00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[    1.435121] 	[00] BAD  00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[    1.435301] 	[00] BAD  00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[    1.435482] 	[00] BAD  00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[    1.435670] 	[00] BAD  00 00 00 00 00 00 00 00 00 00 00 00 00 00 44 00
[    1.435855] nouveau 0000:03:00.0: DRM: DDC responded, but no EDID for DP-1
[    1.706882] nouveau 0000:03:00.0: DRM: allocated 1920x1200 fb: 0x60000, bo ffff88041cec5800
[    1.707396] fbcon: nouveaufb (fb0) is primary device
[    1.798548] nouveau 0000:03:00.0: DRM: DDC responded, but no EDID for DP-1
[    2.068735] tsc: Refined TSC clocksource calibration: 3197.726 MHz
[    2.068740] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x2e17e64edfb, max_idle_ns: 440795351804 ns
[    2.090622] nouveau 0000:03:00.0: DRM: DDC responded, but no EDID for DP-1
[    2.481844] Console: switching to colour frame buffer device 200x67
[    2.501851] nouveau 0000:03:00.0: fb0: nouveaufb frame buffer device
[    2.501864] [drm] Initialized nouveau 1.3.1 20120801 for 0000:03:00.0 on minor 0



When switching to x11, I see the following errors:
Jul 22 12:15:40 Quazar kernel: nouveau 0000:03:00.0: DRM: DDC responded, but no EDID for DP-1
Jul 22 12:15:40 Quazar kernel: nouveau 0000:03:00.0: DRM: DDC responded, but no EDID for DP-1
Jul 22 12:15:40 Quazar kernel: nouveau 0000:03:00.0: DRM: DDC responded, but no EDID for DP-1
Jul 22 12:15:42 Quazar kernel: nouveau 0000:03:00.0: DRM: DDC responded, but no EDID for DP-1
Jul 22 12:15:42 Quazar kernel: nouveau 0000:03:00.0: DRM: DDC responded, but no EDID for DP-1
Jul 22 12:15:42 Quazar dbus[4361]: [system] Activating service name='org.freedesktop.UPower' (using servicehelper)
Jul 22 12:15:42 Quazar dbus[4361]: [system] Successfully activated service 'org.freedesktop.UPower'
Jul 22 12:15:42 Quazar polkitd[4433]: Registered Authentication Agent for unix-session:/org/freedesktop/ConsoleKit/Session1 (system bus name :1.8 [/usr/libexec/polkit-gnome-authentication-agent-1], object path /org/gnome/PolicyKit1/AuthenticationAgent, locale en_US.utf8)
Jul 22 12:15:42 Quazar kernel: nouveau 0000:03:00.0: bus: MMIO read of 00000000 FAULT at 61c814 [ IBUS ]
Jul 22 12:15:42 Quazar kernel: nouveau 0000:03:00.0: disp: intr24 80000000
Jul 22 12:15:42 Quazar kernel: nouveau 0000:03:00.0: bus: MMIO read of 00000000 FAULT at 61c930 [ IBUS ]
Jul 22 12:15:42 Quazar kernel: nouveau 0000:03:00.0: bus: MMIO read of 00000000 FAULT at 61c9b0 [ IBUS ]
.......
Jul 22 12:15:42 Quazar kernel: nouveau 0000:03:00.0: bus: MMIO read of 00000000 FAULT at 61c9bc [ IBUS ]
Jul 22 12:15:42 Quazar kernel: nouveau 0000:03:00.0: disp: outp 02:0006:0f82: link training failed
Jul 22 12:15:42 Quazar kernel: nouveau 0000:03:00.0: bus: MMIO read of 00000000 FAULT at 61c92c [ IBUS ]
Jul 22 12:15:44 Quazar kernel: nouveau 0000:03:00.0: DRM: EVO timeout
Jul 22 12:15:46 Quazar kernel: nouveau 0000:03:00.0: DRM: EVO timeout
Jul 22 12:15:48 Quazar kernel: nouveau 0000:03:00.0: DRM: base-0: timeout
Jul 22 12:15:48 Quazar kernel: nouveau 0000:03:00.0: bus: MMIO read of 00000000 FAULT at 690400 [ IBUS TIMEOUT ]
Jul 22 12:15:50 Quazar kernel: nouveau 0000:03:00.0: DRM: EVO timeout
Jul 22 12:15:52 Quazar kernel: nouveau 0000:03:00.0: DRM: base-1: timeout
Jul 22 12:16:05 Quazar kernel: nouveau 0000:03:00.0: DRM: base-0: timeout
Jul 22 12:16:05 Quazar kernel: nouveau 0000:03:00.0: DRM: base-1: timeout
Jul 22 12:16:05 Quazar kernel: nouveau 0000:03:00.0: DRM: base-0: timeout
Jul 22 12:16:05 Quazar kernel: nouveau 0000:03:00.0: DRM: base-1: timeout
Jul 22 12:16:05 Quazar kernel: nouveau 0000:03:00.0: DRM: base-0: timeout
Jul 22 12:16:05 Quazar kernel: nouveau 0000:03:00.0: DRM: base-1: timeout
Comment 1 fariouche 2017-07-23 19:55:23 UTC
Created attachment 132852 [details]
kernel messages when starting xorg
Comment 2 Ilia Mirkin 2017-07-23 20:01:39 UTC
There's an outstanding issue regarding DP displays. Does this patch help?

https://github.com/skeggsb/nouveau/commit/6c0192f7b069b1402a46a23931b043d14a34e43d
Comment 3 fariouche 2017-07-23 20:01:40 UTC
Created attachment 132853 [details]
THe xorg.conf file I used

If you need any more logs, please let me know.

The kernel I've built was with nouveau in kernel (not as a module) with embedded firmwares in the kernel:

CONFIG_EXTRA_FIRMWARE="nvidia/gm204/gr/fecs_bl.bin nvidia/gm204/gr/fecs_inst.bin nvidia/gm204/gr/gpccs_bl.bin nvidia/gm204/gr/gpccs_inst.bin nvidia/gm204/gr/sw_bundle_init.bin nvidia/gm204/gr/sw_method_init.bin nvidia/gm204/gr/fecs_data.bin nvidia/gm204/gr/fecs_sig.bin nvidia/gm204/gr/gpccs_data.bin nvidia/gm204/gr/gpccs_sig.bin nvidia/gm204/gr/sw_ctx.bin nvidia/gm204/gr/sw_nonctx.bin nvidia/gm204/acr/bl.bin nvidia/gm204/acr/ucode_load.bin nvidia/gm204/acr/ucode_unload.bin "

When fillin this bug, I just remembered that I do not remember the git firmware revision I'm using. At least 6months old.
Comment 4 Ilia Mirkin 2017-07-23 20:03:36 UTC
Or alternatively you can revert df8dc97cd17269474344d73cc02739532c468d04
Comment 5 fariouche 2017-07-23 20:16:53 UTC
ok, I've just redone the test with latest git firmwares, and I still have the same issue.

I've noticed something while doing the test: My TV was off, and when I switched it on, while on the console, I've lost the display on the primary monitor (probably because of something to do when hdmi hotplug notification)
Comment 6 fariouche 2017-07-23 20:26:23 UTC
(In reply to Ilia Mirkin from comment #2)
> There's an outstanding issue regarding DP displays. Does this patch help?
> 
> https://github.com/skeggsb/nouveau/commit/
> 6c0192f7b069b1402a46a23931b043d14a34e43d

same issue :(
Comment 7 Ilia Mirkin 2017-07-23 20:28:02 UTC
Please provide dmesg with the patch in question applied.
Comment 8 fariouche 2017-07-23 21:05:39 UTC
I'm currently trying to build latest git kernel, with your latest master nouveau driver :)
Comment 9 fariouche 2017-07-23 21:22:25 UTC
strange, I'm unable to boot 4.13.1-rc1+ git kernel, PC restarts immediatly before any printk...
I do not know why, but I think that this will take me a long time
Comment 10 fariouche 2017-07-23 21:57:14 UTC
I'm may be too tired, I will go to sleep.
before that, here are the logs with 4.13.0 git kernel with skeggsb github nouveau driver.

Hotplug hdmi does not blank the console anymore....
I can see in the logs that the DP display is correctly reporting the 4K resolution in Xorg.log (good)

But, I still do not have any console on DP (no signal displayed by the monitor) and same for the HDMI TV.

Also, when starting xorg, (xfce4) I see nothing but a blank console, DP monitor switches on then off (so something is sent over the DP link that waked up the monitor)...
It's worse here, since I do not even see a brief desktop. And it is very long before  I can get the control over the console again (timeout?)
I'm uploading the logs now
Comment 11 fariouche 2017-07-23 21:58:32 UTC
Created attachment 132854 [details]
dmesg after boot kernel 4.13.1

Here I only have one console (DVI 1600x1200@60), no DP, no TV hdmi...
Comment 12 fariouche 2017-07-23 21:59:08 UTC
Created attachment 132855 [details]
/var/log/messages after starting xorg
Comment 13 fariouche 2017-07-23 22:01:32 UTC
Created attachment 132856 [details]
XOrg log file after starting xfce4

Here I do not see any obvious error, DP resolution seem good.
It is hard to return to the console, only a black screen is displayed here.
after some time (because I've hit ctrl+C? or is it after ctrl+backspace? or just a timeout?), I can see the console again...
Comment 14 Ilia Mirkin 2017-07-23 22:38:07 UTC
Uhhh... well the obvious errors are the WARN followed by the BUG in the logs. This is stuff that Ben will have to look at.
Comment 15 fariouche 2017-07-24 12:20:07 UTC
(In reply to Ilia Mirkin from comment #14)
> Uhhh... well the obvious errors are the WARN followed by the BUG in the
> logs. This is stuff that Ben will have to look at.

indeed, I haven't seen the oops in the dmesg output.

By the way, I've just noticed that /var/log/messages includes all previous attempts. Please ignore then and just look at the latest boot
Comment 16 fariouche 2017-08-20 11:29:24 UTC
I have a good news: just update my kernel to 4.13.0-rc5 from git, with no patches, and it works!

Only one error in dmesg (FAULT when MMIO write...) but I do not see any obvious issue...

I suppose that we can close this bug.

The part of the dmesg output is here:

[    0.940114] nouveau 0000:03:00.0: NVIDIA GM204 (124020a1)
[    1.030897] nouveau 0000:03:00.0: bios: version 84.04.36.00.0b
[    1.031759] nouveau 0000:03:00.0: fb: 4096 MiB GDDR5
[    1.032013] nouveau 0000:03:00.0: bus: MMIO write of 80000422 FAULT at 10eb14 [ IBUS ]
[    1.040367] [TTM] Zone  kernel: Available graphics memory: 8214694 kiB
[    1.040538] [TTM] Zone   dma32: Available graphics memory: 2097152 kiB
[    1.040704] [TTM] Initializing pool allocator
[    1.040868] [TTM] Initializing DMA pool allocator
[    1.041112] nouveau 0000:03:00.0: DRM: VRAM: 4096 MiB
[    1.041278] nouveau 0000:03:00.0: DRM: GART: 1048576 MiB
[    1.041444] nouveau 0000:03:00.0: DRM: TMDS table version 2.0
[    1.041610] nouveau 0000:03:00.0: DRM: DCB version 4.1
[    1.041774] nouveau 0000:03:00.0: DRM: DCB outp 00: 01000f02 00020030
[    1.041941] nouveau 0000:03:00.0: DRM: DCB outp 01: 02000f00 00000000
[    1.042115] nouveau 0000:03:00.0: DRM: DCB outp 02: 02811f76 04400020
[    1.042285] nouveau 0000:03:00.0: DRM: DCB outp 03: 02011f72 00020020
[    1.042452] nouveau 0000:03:00.0: DRM: DCB outp 04: 04822f86 04400010
[    1.042618] nouveau 0000:03:00.0: DRM: DCB outp 05: 04022f82 00020010
[    1.042785] nouveau 0000:03:00.0: DRM: DCB outp 06: 04833f96 04400020
[    1.042952] nouveau 0000:03:00.0: DRM: DCB outp 07: 04033f92 00020020
[    1.043127] nouveau 0000:03:00.0: DRM: DCB outp 08: 02044f62 00020010
[    1.043296] nouveau 0000:03:00.0: DRM: DCB outp 15: 01df5ff8 00000000
[    1.043463] nouveau 0000:03:00.0: DRM: DCB conn 00: 00001030
[    1.043628] nouveau 0000:03:00.0: DRM: DCB conn 01: 00020146
[    1.043792] nouveau 0000:03:00.0: DRM: DCB conn 02: 01000246
[    1.043957] nouveau 0000:03:00.0: DRM: DCB conn 03: 02000346
[    1.044130] nouveau 0000:03:00.0: DRM: DCB conn 04: 00010461
[    1.044298] nouveau 0000:03:00.0: DRM: DCB conn 05: 00000570
[    1.044463] nouveau 0000:03:00.0: DRM: Pointer to flat panel table invalid
[    1.044654] nouveau 0000:03:00.0: disp: dcb 15 type 8 unknown
[    1.097223] nouveau 0000:03:00.0: DRM: unknown connector type 70
[    1.097413] nouveau 0000:03:00.0: DRM: failed to create encoder 1/8/0: -19
[    1.097586] nouveau 0000:03:00.0: DRM: Unknown-1 has no encoders, removing
[    1.097787] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    1.097957] [drm] Driver supports precise vblank timestamp query.
[    1.207976] nouveau 0000:03:00.0: DRM: MM: using COPY for buffer copies
[    1.561492] nouveau 0000:03:00.0: DRM: allocated 4096x2160 fb: 0x60000, bo ffff88041ca58000
Comment 17 caguduzexi 2018-01-29 14:15:37 UTC
I wont recommend using/keeping the GM204 (GTX 970). It cant ever run with free software: https://www.theregister.co.uk/2015/04/15/nvidia_gtx_900_linux_driver_roadbloack/
https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2017
https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2016-NVIDIA

Sell this crappy GM204 card away and go away from nvidia. Nvidia died with the 780ti card. Its the last end-user card that can be used normaly. Everything else is in some countries even a legal problem. Because the manufacturer (nvidia) blocks the users from beeing able to boot the software they want on THEIR hardware - happyly illegal in some countries. Hopefully some layer would sue the heck out of nvidia so that they would have to release the private signing key or close their doors.
Blocking the freedom of the users on such way should not be accepted by anyone.
Comment 18 Martin Peres 2018-01-29 17:34:05 UTC
(In reply to caguduzexi from comment #17)
> I wont recommend using/keeping the GM204 (GTX 970). It cant ever run with
> free software:
> https://www.theregister.co.uk/2015/04/15/
> nvidia_gtx_900_linux_driver_roadbloack/
> https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2017
> https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2016-NVIDIA
> 
> Sell this crappy GM204 card away and go away from nvidia. Nvidia died with
> the 780ti card. Its the last end-user card that can be used normaly.
> Everything else is in some countries even a legal problem. Because the
> manufacturer (nvidia) blocks the users from beeing able to boot the software
> they want on THEIR hardware - happyly illegal in some countries. Hopefully
> some layer would sue the heck out of nvidia so that they would have to
> release the private signing key or close their doors.
> Blocking the freedom of the users on such way should not be accepted by
> anyone.

User banned


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.